Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.federated
Enum TypeCapability

    java.lang.Object
      java.lang.Enum<TypeCapability>
          com.bea.content.federated.TypeCapability

All Implemented Interfaces
  Serializable, Comparable<TypeCapability>

    public enum TypeCapability

extends Enum<TypeCapability>

Security capabilities for Type activities

Enum Constant Summary
`ASSOCIATE` can the caller associate the type with a workflow?
`CREATE`
`DELETE`
`INSTANTIATE` can the caller instantiate the type?
`UPDATE`
`VIEW`

Method Summary
`static TypeCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSOCIATE

    public static final TypeCapability ASSOCIATE

  can the caller associate the type with a workflow?

### CREATE

    public static final TypeCapability CREATE

### DELETE

    public static final TypeCapability DELETE

### INSTANTIATE

    public static final TypeCapability INSTANTIATE

  can the caller instantiate the type?

### UPDATE

    public static final TypeCapability UPDATE

### VIEW

    public static final TypeCapability VIEW

Method Detail

### values

    public static final TypeCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static TypeCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved